Page MenuHomePhabricator

Add wordmarks and taglines for 26 more Wikipedias
Closed, ResolvedPublic5 Estimated Story Points

Description

Description

Context: as a result of the updated logo treatment in the new header (T240856) we need to upload wordmark and tagline SVG assets for each project (T244486).

This task is for tracking and uploading the appropriate assets for the next batch of Wikipedias. This batch is the top 26 Wikipedias by number of active editors.

languagecodeactive editorswordmarktaglineverified by Alex
Englishen130,943
Germande19,085(default)
Frenchfr18,452
Spanishes16,412(default)
Japaneseja14,822
Russianru10,843
Italianit8,053
Arabicar6,367
Portuguesept6,224(fr)
Farsifa5,310
Polishpl4,272(default)
Dutchnl3,831(default)
Hebrewhe3,038
Indonesianid2924(default)
Turkishtr2851
Ukrainianuk2,774
Koreanko2,414
Vietnamesevi2,191(default)
Swedishsv2,159(default)
Czechcs2,108
Hungarianhu1,773(fr)
Hindihi1,604
Finnishfi1,529
Thaith1,147
Catalanca1,122
Greekel935
Serbiansr829
Classical Chinesezh-classical61(somehow this got updated?)(...not sure how)

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ovasileva triaged this task as High priority.Jul 22 2020, 1:41 PM
ovasileva updated the task description. (Show Details)

Assuming this is about Desktop Improvements hence adding project tag.

Restricted Application added a subscriber: revi. · View Herald TranscriptJul 24 2020, 3:29 PM
alexhollender removed alexhollender as the assignee of this task.Jul 24 2020, 4:07 PM
alexhollender updated the task description. (Show Details)
ovasileva set the point value for this task to 5.Jul 29 2020, 4:23 PM
alexhollender updated the task description. (Show Details)Aug 7 2020, 6:55 PM

Change 621328 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Update taglines

https://gerrit.wikimedia.org/r/621328

Change 621328 merged by jenkins-bot:
[operations/mediawiki-config@master] Update taglines for various projects

https://gerrit.wikimedia.org/r/621328

Mentioned in SAL (#wikimedia-operations) [2020-08-19T18:30:54Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: 803cb1a0d2c8cc6df8e4e88ab3c4d27eb71d01b3: Update taglines for various projects (T258552) (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2020-08-19T18:32:25Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 803cb1a0d2c8cc6df8e4e88ab3c4d27eb71d01b3: Update taglines for various projects (T258552) (duration: 01m 04s)

Jdlrobson updated the task description. (Show Details)Aug 19 2020, 6:35 PM

@Jdlrobson, @Urbanecm: zh-classic (Classical Chinese) is not the same as zh (Chinese), and adding the wordmark as zh only, rather than project-specific, such as zhwiki is crazy. How can this even pass the code review?

Adding Chinese-Sites because it does affect all Chinese Wikimedia Project now.

Change 621542 had a related patch set uploaded (by VulpesVulpes825; owner: Junyin Chen):
[operations/mediawiki-config@master] Remove the wrong workmark and tagline for Chinese Wikimedia Project

https://gerrit.wikimedia.org/r/621542

This comment was removed by VulpesVulpes825.

I'm happy to deploy it, but it would be cool if @Jdlrobson could have a look and do a CR :-).

This comment was removed by VulpesVulpes825.

Change 621542 merged by jenkins-bot:
[operations/mediawiki-config@master] Correct the wrong workmark and tagline for Chinese Wikimedia Project

https://gerrit.wikimedia.org/r/621542

Mentioned in SAL (#wikimedia-operations) [2020-08-24T11:29:10Z] <urbanecm@deploy1001> Synchronized static/images/: fe0449d244ee876e4fb64da630f0994ab114f248: 74220d0943e6b32cce3c93dd5b9f8bbc63fa5d73: 7db8a19c512cea84f3000463e9dfb6617857c9a6: Update Chinese wordmarks and taglines, update zhwikisource project logo (T260908; T258552; T261076; T261110) (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2020-08-24T11:39:06Z] <Urbanecm> Purge 13 URLs with purgeList.php, see P12316 for list of them (T260908; T258552; T261076; T261110)

@Jdlrobson this is awesome, few small things:

  1. currently Thai is using the Finnish tagline
  2. I realized that the SVG version of the Greek tagline doesn't match the PNG version. I've just pinged some folks on the talk page and will hopefully get clarity soon (https://commons.wikimedia.org/wiki/File_talk:Wikipedia-logo-v2-el.svg)
  3. thank you very much @VulpesVulpes825 for clarifying the difference between the zh logo & wordmark, and the zh-hans logo & wordmark. My current understanding is that based on the Chinese variant you select in the dropdown menu the logo changes. However in trying this out I noticed that the logo seems to only update if you are logged-out. I'm not sure if this is intentional or a bug? In any case I will open a separate task to track that change (T261153).

Given the above what makes the most sense in terms of moving forward? 26 of the 29 Wikis addressed in this task are good to go. Maybe it makes sense to fix Thai and then handle the rest of the work in separate tasks?

alexhollender updated the task description. (Show Details)

@Jdlrobson I've replaced the Greek tagline SVG in the task description. You should now be good to go to make the final fixes:

  • Thai tagline
  • Greek tagline

@Jdlrobson sorry about that, just replaced the Thai tagline

Change 622621 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Update Thai and Greek taglines

https://gerrit.wikimedia.org/r/622621

Change 622621 merged by jenkins-bot:
[operations/mediawiki-config@master] Update Thai and Greek taglines

https://gerrit.wikimedia.org/r/622621

Mentioned in SAL (#wikimedia-operations) [2020-08-26T18:09:04Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: 40092898d8c70191324e844d2c222469b954e9ef: Update Thai and Greek taglines (T258552) (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2020-08-26T18:11:26Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 40092898d8c70191324e844d2c222469b954e9ef: Update Thai and Greek taglines (T258552) (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2020-08-26T18:12:05Z] <Urbanecm> Purge Thai and Greek taglines, URLs are at P12372 (T258552)

alexhollender updated the task description. (Show Details)

thanks for fixing those two @Jdlrobson & apologies for putting the wrong tagline for Thai in there initially

ovasileva closed this task as Resolved.Mon, Aug 31, 11:56 AM

All done!

Shizhao moved this task from Backlog to MediaWiki core on the Chinese-Sites board.Tue, Sep 1, 1:15 AM
Shizhao moved this task from MediaWiki core to Closed on the Chinese-Sites board.